JAX-WS 2.1 vs JAX-WS 2.0

El artículo de Kohsuke es de enero de 2007 y aconseja pasarnos ya a JAXB 2.1 y JAX-WS 2.1… aunque tengamos que poner cosas en {jdk6}/lib/endorsed.

Seguramente todo esto nos evitaría quebraderos de cabeza al usar el wsimport y todo eso… porque NO podemos usar la AntTask que viene con Glassfish v2 (hay que poner en el classpath del taskdef los siguientes jars: {glassfish v2}/lib/webservices-tools.jar y webservices-rt.jar) a menos que pongamos en nuestro {jdk6}/lib/endorsed las librerías de JAX-WS 2.1 (lo siento, no he terminado este ejercicio porque estaba fuera de mis objetivos de esta semana). 🙁

Entre otras cosas, el uso de JAX-WS 2.1 nos permitiría tener los famosos WS “stateful”. Así que quizás sería buena idea pasarnos a JAX-WS 2.1 después de todo…

Tagged: